Wan Spicy: Qwen Image Edit Spicy (Image to Image) API Reference

About

Qwen Image Edit Spicy. Add, remove, or modify elements in an existing image with text guidance. Integrate this model via REST with endpoint docs, parameters, and code examples.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/qwen-image-edit-spicy/image-to-image",
  "prompt": "Keep the fictional adult subject and composition, change the jacket to emerald green, and add soft studio lighting.",
  "image_urls": [
    "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_b4bf16cb8a6b44b39a33160595d77f38.png"
  ],
  "n": 1,
  "seed": 2147483647
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "77654720704549939b8ad358a3bb188e",
    "object": "image",
    "model": "wan/qwen-image-edit-spicy/image-to-image",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/images/tasks/77654720704549939b8ad358a3bb188e"
    },
    "created_at": "2026-07-15 06:32:02.07"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/images/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/images/tasks/77654720704549939b8ad358a3bb188e \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "77654720704549939b8ad358a3bb188e",
    "object": "image",
    "model": "wan/qwen-image-edit-spicy/image-to-image",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1784097122,
    "start_time": 1784097122,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-07-15 06:32:02"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "77654720704549939b8ad358a3bb188e",
    "object": "image",
    "model": "wan/qwen-image-edit-spicy/image-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784097122,
    "start_time": 1784097122,
    "finish_time": 1784097139,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_fd54ddf883114884820cc1765bb90e1c.png"
    ],
    "usage": {
      "completion_tokens": 0,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 1,
      "total_tokens": 1,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.04,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.04,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 06:32:02"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
image_urlsarrayYes----Image URLs to use as a reference for the generation.
nintegerNo1[1]Number of videos to generate.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/qwen-image-edit-spicy/image-to-image",
  "prompt": "Keep the fictional adult subject and composition, change the jacket to emerald green, and add soft studio lighting.",
  "image_urls": [
    "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_b4bf16cb8a6b44b39a33160595d77f38.png"
  ],
  "n": 1,
  "seed": 2147483647
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the task.
data.task_idstring--ID of the task.
data.objectstring--Object type of the task.
data.modelstring--Model name of the task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the task.
data.fail_reasonstring--Fail reason of the task.
data.submit_timeinteger--Timestamp of the task submission.
data.start_timeinteger--Timestamp of the task start.
data.finish_timeinteger--Timestamp of the task finish.
data.outputsarray--Outputs of the task.
data.created_atstring--Timestamp of the task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "77654720704549939b8ad358a3bb188e",
    "object": "image",
    "model": "wan/qwen-image-edit-spicy/image-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784097122,
    "start_time": 1784097122,
    "finish_time": 1784097139,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_fd54ddf883114884820cc1765bb90e1c.png"
    ],
    "usage": {
      "completion_tokens": 0,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 1,
      "total_tokens": 1,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.04,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.04,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 06:32:02"
  }
}

3. Detailed Pricing

Pricing TypeUnitPrice
Input text--
Input image--
Prompt optimization1 request$0.04